/*  RESPONSIVE  */

/* Very large: 1200px - 1399px */
@media (max-width: 1399px) {
	.container {
		max-width: 1174px;
	}

	.header::after {
		content: '';
		position: absolute;
		z-index: -1;
		inset: 0;
		background-image: url('../img/offer-image4.png');
		background-repeat: no-repeat;
		background-size: 40% 65%;
		background-position: right;
	}

	.offer	{
		margin: 248px 0 112px 0;
	}

	.offer__btn {
		width: 255px;
	}

	.target-wrapper__item {
		max-width: 180px;
	}

	.suggestion__wrapper {
		flex-direction: column;
		gap: 40px;
	}

	.suggestion-slider {
			max-width: 95%;
	}
	
	.suggestion-slider-row {
		max-width: 100%;
		justify-content: space-between;
	}

	.suggestion-order {
		display: flex;
		flex-direction: row;
		max-width: 100%;
		max-height: 174px;
	}
	
	.suggestion-order__table {
		max-width: 400px;
	}

	.suggestion-order__row:first-child .suggestion-order__cell:last-child {
		border-radius: 0;
	}
	
	.suggestion-order__wpapper {
		display: flex;
		flex-direction: row;
		padding: 15px 0 107px 28px;
		width: 50%;
		gap: 50px;
		border-bottom: 1px solid #aeadad;
		border-left: 1px solid #aeadad;
		border-radius: 0 20px 0px 0px;
	}

	.suggestion-order__wpapper::after {
		content: '';
		position: absolute;
		z-index: -2;
		inset: 0;
		background-color: #f8f8f8;
		border-radius: 0 20px 0px 0px;
	}

	.suggestion-order__order {
		margin: 40px 0 0 0;
		width: 240px;
		height: 61px;
	}

	.advice::after {
		content: '';
		position: absolute;
		z-index: -1;
		inset: 0;
		background-image: url('../img/schedule2.png');
		background-position: right;
		background-size: 55% 100%;
		background-repeat: no-repeat;
	}

	.description-health {
		background-size: 350px 350px;
	}

	.description-health__text {
		margin: 20px 0 100px 0;
	}

	.description-health__author-text {
		max-width: 200px
  }
}
/* Large: 992px - 1199px */
@media (max-width: 1199px) {
	.container {
		max-width: 960px;
	}

	h1 {
		font-size: 35px;
	}
	
	h2 {
		font-size: 25px;
		line-height: 1.07em;
	}
	
	h3 {
		font-size: 17px;
		line-height: 1.3em;
	}
	
	h4 {
		font-size: 15px;
	}
	
	h5 {
		font-size: 13px;
	}

	p {
		font-size: 13px;
	}

	.nav-menu__list {
		gap: 15px;
	}

	.offer	{
		margin: 120px 0 50px 0;
		width: 550px;
	}

	.header::after {
		background-size: 40% 100%;
		background-position: right;
		top: 100px;
	}

	.description {
		padding: 49px 0 0 0;
	}

	.description-health {
		padding: 40px 20px 37px 20px;
		background-size: 309px 290px;
	}

	.description-health__text {
		max-width: inherit;
	}

	.description-health__author-text {
		max-width: inherit;
	}

	.description-health__text {
		margin: 20px 0 30px 0;
	}

	.description-because {
		max-width: 450px;
	}

	.description-because__title {
		margin: 40px 0 20px 20px;
	}
	
	.description-because__list {
		margin: 0px 0px 33px 20px;
	}
	
	.description-because__photo {
		max-width: inherit;
		height: 156px;
		margin-top: auto;
	}

	.target {
		padding: 60px 0 0 0;
	}

	.target-wrapper__item {
		max-width: 145px;
	}

	.suggestion {
		padding: 75px 0 60px 0;
	}

	.suggestion__button-wrapper {
		gap: 0px;
		justify-content: space-between;
	}

	.suggestion-order__wpapper {
		width: 100%;
	}

	.faq {
		padding: 60px 0 60px 0;
	}

	.faq-block__btn {
		max-width: 180px;
	}

	.faq-content-left {
		max-width: 565px;
		min-width: 565px
	}
	.advice::after {
		content: '';
		position: absolute;
		z-index: -1;
		inset: 0;
		background-image: url('../img/schedule2.png');
		background-size: 100% 100%;
		background-repeat: no-repeat;
		opacity: 0.15
	}
	.footer {
		padding: 50px 0 34px 0;
	}

	.footer-content {
		gap: 45px
	}
	.modal-window {
    max-height: 500px;
  }
}
/* Medium: 768px - 991px */
@media (max-width: 991px) {
	.container {
		max-width: 720px;
	}
	.nav-links__number {
		display: none;
	}
	.nav-logo {
		font-size: 12px;
	}
	.nav-menu {
		font-size: 12px;
	}
	.nav-menu__list {
		gap: 20px;
	}
	.nav-menu__item {
		max-width: 80px;
		text-align: center;
	}
	.nav-links__phone-icon {
		font-size: 12px;
		margin: auto 0;
	}
	h1 {
		font-size: 25px;
	}
	h2 {
		font-size: 17px;
		line-height: 1.07em;
	}
		h3 {
		font-size: 15px;
		line-height: 1.3em;
	}
		h4 {
		font-size: 13px;
	}
		h5 {
		font-size: 13px;
	}
	p {
		font-size: 12px;
	}
	.offer	{
		margin: 80px 0 40px 0;
		max-width: 400px;
	}
	.description-wrapper {
		display: flex;
		flex-direction: column;
	}
	.description-health {
		width: inherit;
		background-size: 309px 100%;
		padding-right: 50%;
	}
	.description-because {
		width: inherit;
		max-width: inherit;
	}
	.description-because__photo {
		width: inherit;
	}
	.description-because__item {
		font-size: 14px;
	}
	.description-health__author-text {
		font-size: 13px;
	}
	.description-because__list {
		margin: 0px 0px 20px 20px;
	}
	.target-wrapper {
		flex-wrap: wrap;
		gap: 30px;
	}
	.target-wrapper__item {
		max-width: 208px;
	}
	.target-wrapper__text {
		font-size: 13px;
	}
	.suggestion__text {
		font-size: 13px;
	}
	.suggestion__button {
		max-height: 50px;
		max-width: 160px;
		font-size: 13px;
	}
	.suggestion-slider-row {
		display: none;
	}
	.suggestion-slider {
		min-height: inherit;
		min-width: inherit;
		max-width: inherit;
	}
	.suggestion-slider-single {
		flex-direction: column;
	}
	.suggestion-slider-single__image {
		width: 85%;
		height: 350px;
		margin: 0 auto;
	}
	.suggestion-slider-single__text {
		font-size: 13px;
	}
	.suggestion-slider-single-compound__name {
		font-size: 13px;
	}
	.suggestion-slider-single-compound__number {
		font-size: 13px;
	}
	.suggestion-order {
		flex-direction: column;
		max-width: 400px;
		max-height: inherit;
	}
	.suggestion-order__table {
		max-width: 100%;
	}
	.suggestion-order__row:first-child .suggestion-order__cell:last-child {
		border-radius: 0 20px 0 0;
	}
	.suggestion-order__wpapper {
		flex-direction: column;
		width: 100%;
		gap: 0px;
		padding: 30px 0 50px 28px;
		border-bottom: none;
		border-left: none;
		border-radius: 0 0 20px 20px;
	}
	.suggestion-order__wpapper::after {
		content: '';
		position: absolute;
		z-index: -2;
		inset: 0;
		background-color: #f8f8f8;
		border-radius: 0 0 20px 20px;
	}
	.suggestion-order__order {
		margin: 20px 0 0 0;
		width: 240px;
		height: 61px;
	}
	.suggestion-slider__prev, .suggestion-slider__next {
		top: 185px;
	 }
	 
	 .schedule-wrapper__image {
		shape-outside: ellipse(200px 300px at 60% 50%);
		width: 430px;
		height: 500px;
	}
	.schedule-wrapper__text {
		font-size: 12px;
		margin: 5px 0 0 0;
	 }
	.schedule-wrapper__title_first {
		padding: 80px 0 0px 0px;
		margin: 0 0 0 50px;
	}
	.schedule-wrapper__text_first {
		padding: 0 0 0 440px;
	}
	.schedule-wrapper__title_second {
		padding: 110px 0 0px 450px;
	}
	
	.schedule-wrapper__text_second {
		padding: 0px 0 0px 450px;
	}
	
	.schedule-wrapper__title_third {
		padding: 100px 0 0px 0;
	}
	.schedule-wrapper__text_third {
		padding: 0px 0 0px 350px;
	}
	.faq-block__btn {
		max-width: 130px;
		padding: 69px 0px 11px 10px;
		font-size: 13px;
	}
	.faq-block__btn:nth-child(1)::before,
	.faq-block__btn:nth-child(2)::before,
	.faq-block__btn:nth-child(3)::before,
	.faq-block__btn:nth-child(4)::before,
	.faq-block__btn:nth-child(5)::before {
		background-size: 48px 48px;
		background-position: top 10px left 10px;
	}
	.faq-content {
		flex-direction: column;
	}
	.faq-content-left {
		max-width: inherit;
		min-width: inherit;
	}
	.footer-content {
		flex-wrap: wrap;
	}
	.footer-content__list {
		font-size: 13px;
	}
	.footer-content__number, .footer-content__email, .footer-content__adress  {
		font-size: 13px;
	}
	.footer-content__instagram, .footer-content__telegram {
		font-size: 13px;
	}
	.footer__policy {
		font-size: 13px;
	}
  .modal__btn {
		text-align: center;
	}
}

/* Small: 576px - 767px */
@media (max-width: 767px) {
	.container {
		max-width: 540px;
	}
	.nav-menu {
		display: none
	}
	.nav-cheeseburger {
		display: block;
	}
	.nav-favicon {
		margin: 0 0 0 60px;
	}
	.offer {
		max-width: 300px;
	}
	h1 {
		font-size: 20px;
	}
	.btn {
		font-size: 13px;
		max-width: 210px;
		padding: 10px 20px;
	}
	.header::after {
		background-size: 45% 90%;
	}
	.target-wrapper {
		padding: 0 30px;
	}
	.suggestion__button-wrapper {
		flex-wrap: wrap;
		gap: 20px;
	}
	.suggestion-slider-single__image {
		max-height: 275px;
	}
	.suggestion-order__order {
		height: 45px;
		max-width: 175px;
	} 
	.schedule-wrapper__image {
		shape-outside: ellipse(150px 250px at 60% 50%);
		max-width: 330px;
		max-height: 420px;
	}
	.schedule-wrapper {
		padding: 0 20px 0 0;
	}
	.schedule-wrapper__title_first {
		padding: 70px 0 0px 0px;
		margin: 0 0 0 50px;
	}
	.schedule-wrapper__text_first {
		padding: 0 0 0 340px;
	}
	.schedule-wrapper__title_second {
		padding: 50px 0px 0px 350px;
	}
	
	.schedule-wrapper__text_second {
		padding: 0px 0 0px 350px;
	}
	
	.schedule-wrapper__title_third {
		padding: 50px 0 0px 0;
	}
	.schedule-wrapper__text_third {
		padding: 0px 0 0px 250px;
	}
	.faq-block {
		flex-wrap: wrap;
		gap: 20px;
		justify-content: center;
	}
	.advice-wrapper__text {
		font-size: 13px;
	}
	.form__btn  {
		max-width: 100%;
	}
  .modal__btn {
    max-width: 100%;
  }
}
	
/* Extra small: 451px - 575px */
@media (max-width: 575px) {
	.container {
		padding: 0 15px;
		width: 100%;
	}
	.header::after {
		background-size: 80% 100%;
		opacity: 0.1;
	}
	.offer {
		max-width: 400px;
	}
	.description-health {
		padding-right: 0;
		background: none;
	}
	.description-because__item {
		font-size: 13px;
	}
	.description-health::after {
		opacity: 5%;
	}
	.description-because__photo {
		max-width: 460px;
		width: calc(100% + 10px);
	}
	.target-wrapper {
		padding: 0;
	}
	.target-wrapper__item {
		display: flex;
		flex-direction: row;
		gap: 30px;
		padding: 20px;
		width: 100%;
		max-width: 100%;
	}
	.target-wrapper__text {
		margin: 0;
	}
	.suggestion {
		padding: 60px 0;
	}
	.suggestion__button-wrapper {
		padding: 0 25px;
	}
	.suggestion-slider__prev {
		left: 0px;
	 }
	 
	 .suggestion-slider__next {
	   right: 0px;
	 }
	 .schedule-wrapper__image {
		shape-outside: none;
		width: 230px;
		height: 300px;
	}
	.schedule-wrapper__title_first {
		padding: 0;
		margin: 0;
	}
	.schedule-wrapper__text_first {
		padding: 0;
		margin: 0;
	}
	.schedule-wrapper__title_second {
		padding: 0;
		margin: 0;
	}
	.schedule-wrapper__text_second {
		padding: 0;
		margin: 0;
	}
	.schedule-wrapper__title_third {
		padding: 0;
		margin: 0;
	}
	.schedule-wrapper__text_third {
		padding: 0;
		margin: 0;
	}
	.schedule-wrapper__title {
		margin: 15px 0 10px 0;
	}
	.schedule-wrapper_responsive {
		margin: 0 0 0 20px;
	}
	.schedule-wrapper {
		padding: 0;
		display: flex;
		gap: 10px
	} 
	.faq-content__title {
		max-width: 90%;
	}
	.faq-block__btn {
		max-width: 120px;
	}
	.footer__wrapper {
		flex-direction: column;
	}
	.footer-content {
		gap: 30px;
	}
	.footer-content__map-link {
		width: 100%;
	}
  .modal-window {
		width: 100%;
	}
	.modal-window2 {
		width: 100%;
		padding: 70px 0;
	}
	.modal__btn {
		text-align: center;
	}
}

/*Henry`s breakpoint: 0px (320px) - 450px */
@media (max-width: 450px) {
	.nav {
		gap: 30px
	}
	.nav-links {
		gap: 15px
	}
	.nav-favicon {
		margin: 0;
	}
	.nav-links {
		margin: 0;
	}
	.offer {
		max-width: 290px;
	}
	.description {
		padding: 30px 0 0 0;
	}
	.description-health {
		padding: 25px 20px;
	}
	.description-wrapper {
		max-width: 450px;
		width: 100%;
	}
	.description-because {
		padding: 0 10px 0 0;
	}
	.description-because__list {
		gap: 10px
	}
	.description-because__photo {
		height: 100px;
	}
	.target {
		padding: 45px 0 0 0;
	}
	.suggestion__text {
		margin: 15px 0 30px;
	}
	.suggestion__button {
		max-width: 100%;
		width: 100%;
	}
	.suggestion-slider-single__image {
		height: 175px;
	}
	.suggestion-slider__prev, .suggestion-slider__next {
		padding: 10px;
	}
	.suggestion-slider-single-compound {
		flex-wrap: wrap;
		gap: 30px;
		justify-content: center;
		text-align: center;
		padding: 0 30px;
	}
	.suggestion-order {
		max-width: 283px;
		margin: 0 auto;
	}
	.suggestion-order__button {
		max-width: 70px;
		max-height: 70px;
		width: 70px;
		height: 70px;
	}
	.schedule-wrapper {
		flex-direction: column;
		margin: 25px 0 0 0;
	}
	.schedule-wrapper__image {
		width: 295px;
    	height: 335px;
	}
	.schedule-wrapper_responsive {
		margin: 0;
		padding: 0 20px;
	}
	.advice {
		padding: 25px 0;
	}
	.footer-content {
		justify-content: center;
		text-align: center;
	}
	.footer__line {
		margin: 25px 0;
	}
	.footer__wrapper {
		text-align: center;
	}
  .modal-window {
    padding: 20px 15px;
  }
}